@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the HELP2DOCD program, convert a file in Windows 3.1 help format with a >%output%
echo .hlp extension to a Microsoft Word document with the same base name and a >%output%
echo .doc extension.  Supply the base name of the input file as a parameter, e.g., >%output%
echo hlp2doc basename >%output%
echo produces the output file basename.doc from the input file basename.hlp >%output%
if "%output%"=="CON" goto end
if not exist %1.hlp goto missing
if exist %1.doc del %1.doc
help2doc.exe -p %1.hlp %2 %3
if errorlevel==1 echo The program reported an error!
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.hlp not found!
:end