@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the HELPDECO program, convert a file in Windows help format with a >%output%
echo .hlp extension to a rich text format file with the same base name and a >%output%
echo .rtf extension.  Supply the base name of the input file as a parameter, e.g., >%output%
echo hlp2rtf basename >%output%
echo produces the output file basename.rtf from the input file basename.hlp >%output%
if "%output%"=="CON" goto end
if not exist %1.hlp goto missing
if exist %1.rtf del %1.rtf
helpdeco.exe %1.hlp /r /y %2 %3
if errorlevel==1 echo The program reported an error!
if exist *.bmp del *.bmp
if exist *.hpj del *.hpj
if exist *.shg del *.shg
if exist *.wmf del *.wmf
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.hlp not found!
:end