@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the PKUNZIP program, test the integrity of a compressed archive with a >%output%
echo .zip extension.  Supply the base name of the input file as a parameter, e.g., >%output%
echo test4zip basename >%output%
echo produces a screen report concerning the input file basename.zip. >%output%
if "%output%"=="CON" goto end
if not exist %1.zip goto missing
pkunzip.exe -t %1.zip %2 %3
if errorlevel==1 echo The program reported an error!
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.zip not found!
:end