@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the HTMSTRIP program, convert a file in Hyper Text Markup Language format with a >%output%
echo .HTM extension to an ASCII document that preserves table columns with the same base name and a >%output%
echo .asc extension.  Supply the base name of the input file as a parameter, e.g., >%output%
echo htm2asc basename >%output%
echo produces the output file basename.asc from the input file basename.htm >%output%
if "%output%"=="CON" goto end
if not exist %1.htm goto missing
if exist %1.asc del %1.asc
htmstrip.exe %1.htm /EXT=.ASC /WIDTH=999 %2 %3
if errorlevel==1 echo The program reported an error!
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.htm not found!
:end