@echo off
cls
set output=NUL
if "%1"=="" set output=CON
if "%1"=="/h" set output=CON
if "%1"=="/?" set output=CON
echo Using the NGP program, convert a file in Norton Guide format with a >%output%
echo .ng extension to a text file with the same base name and a >%output%
echo .txt extension.  Supply the base name of the input file as a parameter, e.g., >%output%
echo ng2txt basename >%output%
echo produces the output file basename.txt from the input file basename.ng >%output%
if "%output%"=="CON" goto end
if not exist %1.ng goto missing
if exist %1.txt del %1.txt
ngp.exe %1 %1.txt %2 %3
if errorlevel==1 echo The program reported an error!
if exist batcon.tmp del batcon.tmp
goto end
:missing
echo Input file %1.ng not found!
:end